%define kdeprefix /usr
%define KDEDATE 20010218
%define sourcedir unstable/%{version}/distribution/tar/generic/source

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 1.4.1
Release: 2
Epoch: 7
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}.tar.bz2
Source1: ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-2.0.tar.bz2
Source2: kdevelop
Source3: kdevelop-htdig.conf
Patch: kdevelop-1.4.1-geometry.patch
Patch1: kdevelop-1.4.1-htdig.patch
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: kdesupport-devel, kdelibs-devel, make, perl >= 5.004, autoconf >= 2.13
Requires: automake >= 1.4 flex >= 2.5.4, qt-designer
BuildPrereq: autoconf, automake, libtool, kdesupport-devel, kdelibs-devel
Obsoletes: kdevelop-c_c++_ref
Excludearch: sparc
Conflicts: htdig < 3.2.0-0.b3.4

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
%setup -q -n %{name}-%{version} -a1
%patch -p1 -b .geometry
%patch1 -p1 -b .htdig

%build
export KDEDIR=%{kdeprefix}
QTDIR="" && source /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

test -f Makefile.cvs && make -f Makefile.cvs

CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=$KDEDIR \
  --enable-kdoc2 \
  --with-qtdoc-dir=$QTDIR/doc/html \
  --with-kdelibsdoc-dir=%{_docdir}/kdelibs-devel-2

make

# c references
cd c_cpp_reference-2.0
cp -f /usr/share/libtool/config* .
mkdir -p admin && cp ../admin/am_edit admin/
autoconf
./configure --prefix=$KDEDIR
cd -

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip
make -C c_cpp_reference-2.0 DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{kdeprefix}/bin/kdevelop $RPM_BUILD_ROOT%{kdeprefix}/bin/kdevelop-%{version}
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{kdeprefix}/bin/
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{kdeprefix}/share/apps/kdevelop/tools/htdig.conf
perl -pi -e "s/\@VERSION\@/%{version}/g" $RPM_BUILD_ROOT%{kdeprefix}/bin/kdevelop

%files
%defattr(-,root,root)
%{kdeprefix}/bin/*
%{kdeprefix}/share/apps/%{name}
%{kdeprefix}/share/doc/HTML/en/%{name}
%{kdeprefix}/share/mimelnk/application/*
%{kdeprefix}/share/applnk/Development/kdevelop.desktop
%{kdeprefix}/share/applnk/Development/kdevelop-setup.desktop
%{kdeprefix}/share/icons/hicolor/16x16/apps/*
%{kdeprefix}/share/icons/hicolor/32x32/apps/*
%{kdeprefix}/share/icons/hicolor/48x48/apps/*
%{kdeprefix}/share/icons/locolor/16x16/apps/*
%{kdeprefix}/share/icons/locolor/32x32/apps/*
%{kdeprefix}/share/icons/locolor/32x32/mimetypes/*

%changelog
* Wed Mar 21 2001 Than Ngo <than@redhat.com>
- fix geometry problem
- fix up specfile
- fix htdig.conf
- disable Verbose mode
- Conflict with htdig < 3.2.0-0.b3.4 - the search function should either
  work properly (with htdig >= 3.2.0-0.b3.4) or not be there at all
  (without htdig), not plain broken. (bero)

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.4.1-1
- 1.4.1
- minor specfile cleanup
- fix up documentation index generation

* Sun Mar  4 2001 Than Ngo <than@redhat.com>
- fix kdevelop cannot find qt/kde library
- add missing icons

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 27 2001 Than Ngo <than@redhat.com>
- rebuid against qt-2.3.0beta1

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Yet another respin - printing was broken.

* Sat Feb 24 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update the C/C++ reference guide docs. The older version had a
  couple of examples that won't work with gcc 2.96-*

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- fix version number

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 1.4-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.4

* Wed Feb 14 2001 Than Ngo <than@redhat.com>
- update (only bugfixes)
- fix up kdelibs documentation path
- fix a dependency problem with kde-i18n package (Bug #27675)
- add qt-designer into requires

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- fixed to build on s390

* Tue Feb 06 2001 Than Ngo <than@redhat.com>
- update, only bugfixes

* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- hacked for building of KDE references

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- work-around to build on alpha

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 10 2001 Than Ngo <than@redhat.com>
- update new snapshot, only require KDE2/Qt2

* Fri Dec 22 2000 Than Ngo <than@redhat.com>
- fixed dependency problem with kde-i18n

* Thu Dec 21 2000 Than Ngo <than@redhat.com>
- updated to 1.4beta1 with KDE2 support
- fixed to build on s390
- fixed some broken codes
 
* Fri Dec 8 2000 Than Ngo <than@redhat.com>
- fixed for building on ia64
 
* Wed Nov 15 2000 Than Ngo <than@redhat.com>
- build snapshot 20001112, it works now with KDE2 and kde1-compat
- fix libtool to build on sparc and alpha
- don't use make -j
 
* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct
 
* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop
 
* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile
 
* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem
 
* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++
 
* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem
 
* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild
 
* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase
 
* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat
 
* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging
 
* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure
 
* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)
 
* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file
 
* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq
 
* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha
 
* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release
 
* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.
 
* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
